Arch: Rebar/コンクリート補強バー

From FreeCAD Documentation
Revision as of 21:30, 29 November 2018 by Luc (talk | contribs) (Created page with "Rebarツールは、macros/マクロやPythonコンソールから次の関数を使って使うことができます:")

Arch Rebar

Menu location
Arch → Rebar
Workbenches
Arch
Default shortcut
R B
Introduced in version
-
See also
Arch Structure

説明

Rebarツールを使用すると、Arch Structureオブジェクトの中に reinforcing bars を配置することができます。 Rebarオブジェクトは、スケッチドラフトオブジェクトなどの2Dプロファイルに基づいており、構造オブジェクトの面に描画する必要があります。バーの数や直径、または構造要素の両端のオフセット距離など、リバーの構成を調整することができます。

上の図は、2つの棒グラフを定義する2つのスケッチが描かれている構造オブジェクトを示しています。これらの2つのスケッチは、鉄筋オブジェクトに変換されます。

利用可能なエクステンション

The Rebar tool has been greatly enhanced during the Google Summer of Code 2017 edition. The result of that work is a series of new presets and wizards for the most common rebar types. They are packaged under an independent module called Reinforcement, that you can install via menu Tools -> Addons Manager. Once the Reinforcement addon is installed, on next run, FreeCAD will detect it and add a series of new tools under the Rebar button in the Arch toolbar and menu:

  • Straight Rebar: Creates a Straight reinforcement bar in a selected structural element
  • UShape Rebar: Creates a UShape reinforcement bar in a selected structural element
  • LShape Rebar: Creates a LShape reinforcement bar in a selected structural element
  • Bent Shape Rebar: Creates a Bent Shape reinforcement bar in a selected structural element
  • Stirrup Rebar: Creates a Stirrup reinforcement bar in a selected structural element
  • Helical Rebar: Creates a Helical reinforcement bar in a selected structural element

使用方法

  1. Create a structure element
  2. Switch to the Sketcher Workbench
  3. Select one face of the structural element
  4. Press the New Sketch button to start a new sketch on the selected face
  5. Draw the diagram of your bar
  6. Press the Leave Sketch button to finish
  7. Switch back to the Arch Workbench
  8. Select the sketch you just drew
  9. Press the Arch Rebar button, or press R then B keys
  10. Adjust the desired properties (your rebar might not appear immediately, if some of the properties create an impossible situation, such as the bar diameter being 0, or the offset distances being bigger than the length of the structural element)

オプション

  • Rebars share the common properties and behaviours of all Arch Components
  • The rounding value is expressed in times the diameter. If your bar has a diameter of 5mm, a rounding value of 3 will create rounding at angles with a radius of 15mm.
  • Default values for new rebars can be set in the Arch preferences settings.
  • If a direction vector is not specified, the direction and distance along which the bars will spread is calculated automatically from the host structural object, by taking the normal direction of the base sketch, and taking its intersection with the structural object. If you specify a direction vector, the length of that vector will also be taken into account.
  • The spacing value is calculated from the current amount of bars, and represents the distance between the axes of each bar. You must therefore subtract the bar diameter to obtain the size of the free space between bars.

プロパティ

  • データAmount: The amount of bars.
  • データDiameter: The diameter of the bars.
  • データDirection: The direction (and length) along which the bars must spread. If the value is (0,0,0), the direction is calculated automatically from the host structural object.
  • データOffset Start: The offset distance between the border of the structural object and the first bar.
  • データOffset End: The offset distance between the border of the structural object and the last bar.
  • データRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • データSpacing: The distance between the axes of each bar.

スクリプト処理

Rebarツールは、macros/マクロやPythonコンソールから次の関数を使って使うことができます:

makeRebar (structure,sketch,[diameter],[amount],[offset])
  • Adds a Reinforcing Bar object to the given structural object, using the given sketch as profile.
  • If no diameter, amount or offset value is given, the default values from the Arch preferences settings are applied.
  • Returns the new Rebar object.

Example:

import FreeCAD, Arch, Sketcher, PArt
struct = Arch.makeStructure(1,1,3)
sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject','Sketch')
sketch.Support = (struct,["Face6"])
sketch.addGeometry(Part.Line(App.Vector(-0.4,0.4,0),App.Vector(0.4,0.4,0)))
Arch.makeRebar(structure,sketch)